{
  "schema_version": "1.4.0",
  "id": "GHSA-w5g4-64r6-254q",
  "modified": "2022-05-14T02:44:02Z",
  "published": "2022-05-14T02:44:02Z",
  "aliases": [
    "CVE-2010-2871"
  ],
  "details": "Integer overflow in the 3D object functionality in Adobe Shockwave Player before 11.5.8.612 allows remote attackers to cause a denial of service (heap memory corruption) or execute arbitrary code via a crafted size value in a 0xFFFFFF45 RIFF record in a Director movie.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2871"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11970"
    },
    {
      "type": "WEB",
      "url": "http://www.adobe.com/support/security/bulletins/apsb10-20.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/513305/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1024361"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2176"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-10-160"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-08-26T21:00:00Z"
  }
}